org.apache.lucene.search.vectorhighlight

## Class FieldQuery

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldQuery

-     public class FieldQuery
      extends Object

  FieldQuery breaks down query object into terms/phrases and keeps them in a QueryPhraseMap structure.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldQuery.QueryPhraseMap` Internal structure of a query for highlighting: represents a nested query structure

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldQuery.QueryPhraseMap` | `getFieldTermMap(String fieldName, String term)`
    `FieldQuery.QueryPhraseMap` | `searchPhrase(String fieldName, List<FieldTermStack.TermInfo> phraseCandidate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFieldTermMap

          public FieldQuery.QueryPhraseMap getFieldTermMap(String fieldName,
                                                           String term)

      Returns:
        QueryPhraseMap

    - #### searchPhrase

          public FieldQuery.QueryPhraseMap searchPhrase(String fieldName,
                                                        List<FieldTermStack.TermInfo> phraseCandidate)

      Returns:
        QueryPhraseMap

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.